package opartgui;
import java.awt.event.*;
import javax.swing.event.*;
import java.io.*;
import java.awt.geom.*;
import javax.swing.*;
import java.awt.*;
public class ImageLoader extends javax.swing.JDialog {

    /** Creates new form ImageLoader */
    public ImageLoader(java.awt.Frame parent, boolean modal) {
        super(parent, modal);
        initComponents();
    }
    /**Creates the GUI elements */
    private void initComponents() {
        
        Arrest arrest = new Arrest();

        welcomeTextPane = new javax.swing.JTextPane();
        imageComboBox = new javax.swing.JComboBox();
        okButton = new javax.swing.JButton();
        ImagePanel backgroundPanel = new ImagePanel();

        getContentPane().setLayout(null);

        Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
        setLocation(screenSize.width/2 - (200),
                    screenSize.height/2 - (150));

        setSize(400,300);
        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        setTitle("Welcome to OPAGA - Image Loading");

        setResizable(false);

        backgroundPanel.doDisplay(arrest.imageDraw());
        backgroundPanel.repaint();
        //backgroundPanel.setBackground(new java.awt.Color(153, 153, 255));
        getContentPane().add(backgroundPanel);
        backgroundPanel.setBounds(0, 0, 400, 300);
        backgroundPanel.setLayout(null);


        welcomeTextPane.setEditable(false);
        welcomeTextPane.setBorder(new javax.swing.border.MatteBorder(new java.awt.Insets(3, 3, 3, 3), new java.awt.Color(51, 51, 255)));
        welcomeTextPane.setText("Welcome to OPAGA the Java OP-Art Generator and Animator. Please choose the OP-Art Image you wnat to Load from the list below.");
        backgroundPanel.add(welcomeTextPane);
        welcomeTextPane.setBounds(50, 50, 300, 100);

        imageComboBox.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Cataract", "Brittania", "Fall", "Crest", "Accident", "Arrest", "Ellipse", "Ellipse2", "Rect", "Rect2", "Orient", "Pause", "Entice"}));
        backgroundPanel.add(imageComboBox);
        imageComboBox.setBounds(150, 175, 100, 20);

        okButton.setBorder(new javax.swing.border.SoftBevelBorder(javax.swing.border.BevelBorder.RAISED));
        okButton.setText("Load");
        okButton.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseReleased(java.awt.event.MouseEvent evt) {
                okButtonMouseReleased(evt);
            }
        });
        backgroundPanel.add(okButton);
        okButton.setBounds(150, 220, 100, 20);
    }

    private void okButtonMouseReleased(java.awt.event.MouseEvent evt) {
            	opart1 opart = new opart1((String)imageComboBox.getSelectedItem());
                opart.show();
                setVisible(false);
                dispose();
    }

    public static void main(String args[]) {
        new ImageLoader(new javax.swing.JFrame(), true).show();
    }

    // Variables declaration - do not modify
    private javax.swing.JPanel backgroundPanel;
    private javax.swing.JComboBox imageComboBox;
    private javax.swing.JButton okButton;
    private javax.swing.JTextPane welcomeTextPane;
    // End of variables declaration

}

